Package org.apache.sling.launchpad.base.webapp

# Class SlingBridge

java.lang.Object
org.apache.sling.launchpad.base.webapp.SlingBridge

public class SlingBridge extends Object
The `SlingBridge` returns an extended `Sling` class to override any sling properties with context init parameters from the web application. In addition, the bundle context is set as a servlet context attribute

## Constructor Summary

Constructors
Constructor
Description
`SlingBridge()`

## Method Summary

Modifier and Type
Method
Description
`static Sling`
`getSlingBridge(Notifiable notifiable, org.apache.felix.framework.Logger logger, org.apache.sling.launchpad.api.LaunchpadContentProvider resourceProvider, Map<String,String> propOverwrite, jakarta.servlet.ServletContext servletContext)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SlingBridge

public SlingBridge()

## Method Details

### getSlingBridge

public static Sling getSlingBridge(Notifiable notifiable, org.apache.felix.framework.Logger logger, org.apache.sling.launchpad.api.LaunchpadContentProvider resourceProvider, Map<String,String> propOverwrite, jakarta.servlet.ServletContext servletContext) throws org.osgi.framework.BundleException

Throws:
  `org.osgi.framework.BundleException`